WhatsApp · WhatsApp Phone Numbers
Purchases a phone number.
POST
https://api.pozy.ai/v1/whatsapp/phone-numbers/purchaseDeprecatedpurchaseWhatsAppPhoneNumber
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
profileIdstringrequiredcountrystringDefault
US.phoneNumberstringMatches
^\+[1-9]\d{6,14}$.purchaseIntentIdstringUp to 100 characters.
allowMultiplebooleanDefault
false.
Example
curl -X POST "https://api.pozy.ai/v1/whatsapp/phone-numbers/purchase" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"profileId": "6a0b6573846efc28aaa9a3ff"
}'const res = await fetch("https://api.pozy.ai/v1/whatsapp/phone-numbers/purchase", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
profileId: "6a0b6573846efc28aaa9a3ff"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/whatsapp/phone-numbers/purchase",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"profileId": "6a0b6573846efc28aaa9a3ff",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
200 response
{
"message": "Hello from Pozy",
"checkoutUrl": "https://pozy.ai/media/example-1.jpg"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in WhatsApp Phone Numbers
GETGet number statusGETGet pricing analyticsGETList phone numbersGETList offerable number countriesGETSearch available numbersGETCheck country availabilityGETGet KYC form specPOSTSubmit KYCPOSTUpload a KYC documentPOSTPre-validate KYC addressPOSTCreate a hosted KYC linkPATCHMove a number to another profileGETGet declined requirementsPOSTResubmit a declined numberGETGet phone numberDELRelease phone number